---
date: 2020-11-12
id: f5983e81-f975-4913-b6c5-5211493841b7
title: iterate() method
---

# Syntax

``` php
$iterable = function () {
    yield 1;
    yield 2;
    // ...
};
```

``` php
use Symfony\Component\Console\Helper\ProgressBar;

$progressBar = new ProgressBar($output);

foreach ($progressBar->iterate($iterable) as $value) {
    // ... do some work
}
```

## Non countable variable

``` php
foreach ($progressBar->iterate($iterable, 100) as $value) {
    // ... do some work
}
```
